Viewing token expiration times
Viewing token expiration times
View the currently set expiration times for UAA access and refresh tokens.
Request
URI
GET
https://{opsmanager-installation}/api/v0/uaa/tokens_expiration
COPY
Responses
200
0K
Returns
TokenExpiration
of type(s)
application/json
{
"token_expiration": {
"access_token_expiration": 0,
"refresh_token_expiration": 0,
"session_idle_timeout": 0
}
}
token_expiration
Optional
token_expiration
400
Setup is not completed
Returns
RequireSetupCompleted
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/v0/uaa/tokens_expiration
Uaa Settings Operations
GET
Viewing UAA password policy
PUT
Update UAA password policy
PUT
Setting precreated-client secret
GET
Retrieve token exchange UAA client credentials
DELETE
Remove token exchange trust configuration
GET
Viewing token exchange trust configuration
PUT
Configure token exchange trust
GET
Viewing token expiration times
PUT
Changing token expiration times